package com.njcn.energy.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njcn.energy.mapper.EleAlmMapper;
import com.njcn.energy.pojo.po.EleALM;
import com.njcn.energy.pojo.po.EleEpdPqd;
import com.njcn.energy.service.IEleAlmService;
import org.springframework.stereotype.Service;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2022/3/15 18:49
 */
@Service
public class EleAlmServiceImpl extends ServiceImpl<EleAlmMapper, EleALM> implements IEleAlmService {
    @Override
    public boolean addAlm(EleALM eleAlM) {
        return this.save(eleAlM);
    }

    @Override
    public boolean updateAlm(EleALM eleAlM) {
        return this.updateById(eleAlM);
    }

    @Override
    public EleALM findByName(String name) {
        return this.lambdaQuery().eq(EleALM::getName,name).one();
    }
}
